#ifndef LOGGER_H
#define LOGGER_H

#include <QObject>

class Logger : public QObject
{
    Q_OBJECT

public:
    static void init();
    static void shutdown();

    static void logInfo(QString &msg);
    static void logInfo(const char *msg);
    static void logWarning(QString &msg);
    static void logWarning(const char *msg);
    static void logError(QString &msg);
    static void logError(const char *msg);
};

#endif
