#ifndef SYSTEMSHORTCUT_H
#define SYSTEMSHORTCUT_H

#include <QByteArray>

/**
 * @brief Manage the system shorcuts.
 *
 * Webkiosk security feature.
 */
class SystemShortcutManager
{
    bool m_fullscreen;
    bool m_use_password;
    QByteArray m_modmap_settings;

public:

    static QString getBackupPath(void);

    SystemShortcutManager(bool fullscreen, bool use_password);
    ~SystemShortcutManager(void);
};

#endif // SYSTEMSHORTCUT_H
