#ifndef IDLE_H
#define IDLE_H

#include <QTimer>
#include <QWidget>
#include <QLabel>

#include "runnable.h"
#include "playlistitem.h"

class Idle : public QLabel, public Runnable
{
    Q_OBJECT

public:
    Idle(PlaylistItem *item, QWidget *parent);

private:
    bool startImpl(void);
    bool stopImpl(void);
    bool onTimeoutImpl(void);
    void pauseImpl(void);
    void resumeImpl(void);

    void setBlackBackground(void);
    void mousePressEvent(QMouseEvent*);

Q_SIGNALS:
    void end(void);
    void rightclick(void);
};

#endif
