#ifndef ADDPLAYLISTITEM_H
#define ADDPLAYLISTITEM_H

#include "ui_addPlaylistItem.h"
#include "settings.h"

class  AddPlaylistItemDialog : public QDialog
{
    Q_OBJECT

public:
    AddPlaylistItemDialog(int time, QWidget *parent = 0);
    QString text() { return ui.uriEdit->text(); }
    int time() { return ui.timeSpin->value(); }

private:
    Ui::AddPlaylistItemDialog ui;

private slots:
    void onFileSelected();
    void on_AddfolderBtn_clicked();
    void on_AddUrlBtn_clicked();
    void on_AddnetworkBtn_clicked();
    void on_uriEdit_textChanged(const QString &text);
};

#endif
