Dev Setup
=====
#1.Copier coller les commandes suivantes dans un terminal :
sudo apt-get update

sudo apt-get -y install gcc g++ gdb cmake cmake-curses-gui git-all qtcreator libproxy-dev libpoppler-qt5-dev libqt5-* qt5-default docbook-utils shutter pkg-config libvlc-dev 

sudo apt-get install libqt5webkit5-dev qtscript5-dev qtquick1-5-dev libqt5help5 qttools5-dev qttools5-private-dev qtdeclarative5-private-dev qtscript5-private-dev qtdeclarative5-dev-tools qtbase5-private-dev libqt5xmlpatterns5-dev qtxmlpatterns5-dev-tools qttools5-dev-tools

Compilation
============
Documentation
docbook-utils

editor
shutter
Debug
valgrind 

cmake -DCMAKE_BUILD_TYPE=Release ./

si pb avec install-info : gedit /etc/environnement > PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games
LANG="fr_FR.UTF-8"
export http_proxy=http://127.0.0.1:3128/&#8221;

config compilateur qt : Tools > Options > Compilateur - Ajouter GCC - Chemin : /usr/bin/g++

traductions : Qt Linguist -> modifier les traductions puis executer update-po.sh


Dependencies
============

```bash
sudo apt-get install build-essential debhelper cmake libvlc-dev libproxy-dev libpoppler-qt4-dev libqt4-dev libqtwebkit-dev
```

Build
=====

Release
-------

To build in release:

```bash
mkdir build
cd build
cmake -DCMAKE_BUILD_TYPE=Release ..
make
```

With debug
----------

To build in debug:

```bash
mkdir debug
cd debug
cmake -DCMAKE_BUILD_TYPE=Debug ..
make
```

Run
===

settings
--------

To run setting program:

```bash
sudo ./bin/linutop-kiosk-settings
```

kiosk
-----
To run the main app:

```bash
sudo ./bin/linutop-kiosk
```

Debug
=====

When compiling in debug, the remote controller server used is the one
of the repository. In release, it use the one of the system.

To see the remote controller log, use the following command:

```bash
tail -f /var/log/linutop-remote/log.txt
```

Git doc update process
=====
-------

make : generate html base on xml source
before uploading remove all html files and html~ and html directory

annulation d'un commit :
```bash
git log --oneline

git rebase -i HEAD~5

```

Generation d'un commit 
=====
-------
```bash
git status

git add .

git commit -m "initial commit"

git push
```

THE END
