#ifndef CLEANSER_H
#define CLEANSER_H

#include <QDir>
#include <QObject>

#include "settings.h"

class Cleanser : public QObject
{
    Q_OBJECT

public:
    explicit Cleanser(Settings *settings, QObject *parent = 0);
    void check();
    void checkThat(qint64);

private:
    void clean();
    void cleanUntilFree(qlonglong, qint64);
    Settings *settings;
    QDir m_etagDir, m_cacheDir;
    QStringList m_toClean;

Q_SIGNALS:
    void ok();
    void notOk();
};


#endif // CLEANSER_H
