#ifndef _BROWSER_WIDGETS_VIDEO_VLCIMPL_H_
#define _BROWSER_WIDGETS_VIDEO_VLCIMPL_H_

#include "./videoimpl.h"




class VLCVideoImpl
        : public VideoImpl
{
public:

    VLCVideoImpl(PlaylistItem* item, Video* p);

    ~VLCVideoImpl(void);

    static void onMediaEndReached(libvlc_event_t const* e, void* self);

    void onMediaEndReached(void);

    bool start(void);

    bool stop(void);

    bool onTimeout(void);

    void pause(void);

    void resume(void);

private:

    libvlc_instance_t*     m_instance;
    libvlc_media_player_t* m_player;
    libvlc_media_t*        m_media;
};

#endif // _BROWSER_WIDGETS_VIDEO_VLCIMPL_H_
