find_path(OMXPLAYER_INCLUDE_DIRS "omxplayer/OMXPlayer.h" PATH_SUFFIXES include)

if (NOT OMXPLAYER_LIBRARIES)
  find_library(OMXPLAYER_LIBRARY  omxplayer  PATH_SUFIXES lib)
  find_library(AVCODEC_LIBRARY    avcodec    HINTS /usr/lib/omxplayer PATHS /usr/lib/omxplayer PATH_SUFIXES lib)
  find_library(AVDEVICE_LIBRARY   avdevice   HINTS /usr/lib/omxplayer PATHS /usr/lib/omxplayer PATH_SUFIXES lib)
  find_library(AVFILTER_LIBRARY   avfilter   HINTS /usr/lib/omxplayer PATHS /usr/lib/omxplayer PATH_SUFIXES lib)
  find_library(AVFORMAT_LIBRARY   avformat   HINTS /usr/lib/omxplayer PATHS /usr/lib/omxplayer PATH_SUFIXES lib)
  find_library(AVUTIL_LIBRARY     avutil     HINTS /usr/lib/omxplayer PATHS /usr/lib/omxplayer PATH_SUFIXES lib)
  find_library(POSTPROC_LIBRARY   postproc   HINTS /usr/lib/omxplayer PATHS /usr/lib/omxplayer PATH_SUFIXES lib)
  find_library(SWRESAMPLE_LIBRARY swresample HINTS /usr/lib/omxplayer PATHS /usr/lib/omxplayer PATH_SUFIXES lib)
  find_library(SWSCALE_LIBRARY    swscale    HINTS /usr/lib/omxplayer PATHS /usr/lib/omxplayer PATH_SUFIXES lib)
  set(OMXPLAYER_LIBRARIES
    ${OMXPLAYER_LIBRARY}
    ${AVCODEC_LIBRARY}
    ${AVDEVICE_LIBRARY}
    ${AVFILTER_LIBRARY}
    ${AVFORMAT_LIBRARY}
    ${AVUTIL_LIBRARY}
    ${POSTPROC_LIBRARY}
    ${SWRESAMPLE_LIBRARY}
    ${SWSCALE_LIBRARY})
endif()

