#ifndef MAINTENANCE_H
#define MAINTENANCE_H

#include <QString>
#include <QProcess>
#include <QObject>

class Maintenance : public QObject
{
    Q_OBJECT
public:
    explicit Maintenance(QObject *parent = 0);
    void startMaintenance(QString filename);

private Q_SLOTS:
    void launchScript();
    void readyread();
    void reboot();

private:
    QString m_deskPath;
    QString m_dataDir;
    QProcess *m_unzip;
    QProcess *m_cmd;
    QProcess *m_reboot;
};

#endif // MAINTENANCE_H
