#ifndef PASSWORD_H
#define PASSWORD_H

#include "ui_password.h"

class PasswordDialog : public QDialog
{
    Q_OBJECT

public:
    PasswordDialog(QWidget *parent = 0);
    QString password() { return ui.passwordEdit->text(); };

private slots:
    void onPasswordChanged(const QString &value);
    void onValidated(bool);
    void onCancelled(bool);

private:
    Ui::PasswordDialog ui;
};

#endif
